package category;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.assertEquals;

class CategoryIdTest {

	@Test
	void constructorWorks() {
		int id = 432;
		CategoryId sut = new CategoryId(id);

		assertEquals(id, sut.id());
	}

	@Test
	void equalsWorks() {
		int id = 432;
		CategoryId first = new CategoryId(id);
		CategoryId second = new CategoryId(id);

		assertEquals(first, second);
	}

}
